module Pot
  class Actor

    def initialize(instance, options = {})
      @transport = Pot::Transports::Ssh.new(instance)
      @sudo = !!options[:sudo]
    end

    def execute(commands)
      commands.each do |command|
        command = "sudo #{command}" if @sudo
        @transport.execute(command)
      end
    end

    def install(installer)
      execute(installer.commands)
    end

    def verify(verifier)
      command = verifier.commands.join(" && ")
      @transport.execute(command) == 0
    end

    def transfer(source, destination, recursive = true)
      @transport.transfer(source, destination, recursive)
    end

    def teardown
      @transport if @transport.respond_to?(:teardown)
    end

  end
end
