module Pot
  module DSL # :nodoc: all
    def set(option, value)
      Pot::Config.instance.send("#{option}=", value)
    end

    def instance(name, host, options = {})
      Pot::Instance.new(name, host, options)
    end

    def package(name, metadata = {}, &block)
      Pot::Package.new(name, metadata, &block)
    end

    def policy(name, options = {}, &block)
      Pot::Policy.new(name, options, &block)
    end

    def role(role_name, instance_name)
      Pot::Role.new(role_name, instance_name)
    end

    def deploy_policies(instances, policies, options = {})
      deployment = Pot::Deployment.new(options)
      deployment.deploy_policies_to_instances(policies, instances)
    end

    def deploy_packages(instances, packages, options = {})
      deployment = Pot::Deployment.new(options)
      deployment.deploy_packages_to_instances(packages, instances)
    end

    def deploy_roles(roles, options = {})
      deployment = Pot::Deployment.new(options)
      deployment.deploy_roles(roles)
    end

  end
end
