require 'logger'

module Pot

  def self.logger
    @logger ||= Pot::Logger.new
  end

  class Logger < ::Logger

    def initialize
      super $stdout
      self.formatter = proc do |severity, datetime, progname, msg|
        "#{msg}\n"
      end
      # self.level = Logger::ERROR
    end

    private

      def color(code, s)
        "\033[%sm%s\033[0m"%[code,s]
      end

      def red(s)
        color(31, s)
      end

      def yellow(s)
        color(33, s)
      end

      def green(s)
        color(32, s)
      end

      def blue(s)
        color(34, s)
      end
  end
end
