module Pot
  module Transports
    # = Local Delivery Method
    #
    # This actor implementation performs any given commands on your local system, as
    # opposed to other implementations that generally run commands on a remote system
    # via the network.
    #
    # This is useful if you'd like to use Pot to provision your local machine.
    # To enable this actor, in your Pot script specify the :local delivery mechanism.
    #
    #   deployment do
    #     delivery :local
    #   end
    #
    class Local

      def execute(command)
        system command
      end

      def transfer(source, destination, recursive = true)
        if recursive
          flags = "-R "
        end

        system "cp #{flags}#{source} #{destination}"
      end
    end
  end
end
